Delete webhook endpoint
curl --request DELETE \
--url https://sandbox.payfi.global/v1/webhooks/{webhookId} \
--header 'Idempotency-Key: <api-key>' \
--header 'X-PayFi-Api-Key: <api-key>' \
--header 'X-PayFi-Nonce: <api-key>' \
--header 'X-PayFi-Signature: <api-key>'import requests
url = "https://sandbox.payfi.global/v1/webhooks/{webhookId}"
headers = {
"X-PayFi-Api-Key": "<api-key>",
"X-PayFi-Nonce": "<api-key>",
"X-PayFi-Signature": "<api-key>",
"Idempotency-Key": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'X-PayFi-Api-Key': '<api-key>',
'X-PayFi-Nonce': '<api-key>',
'X-PayFi-Signature': '<api-key>',
'Idempotency-Key': '<api-key>'
}
};
fetch('https://sandbox.payfi.global/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhookId": "whe_example",
"name": "Acme endpoint",
"url": "https://acme.example/payfi/webhooks",
"status": "DISABLED",
"eventTypes": [
"operation.analysis.completed"
],
"secretPreview": "whsec_te...abcd",
"createdAt": "2026-05-20T12:00:00.000Z",
"updatedAt": "2026-05-20T12:40:00.000Z"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "The request payload is invalid."
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication failed."
}
}Webhooks
Delete webhook endpoint
Disables a webhook endpoint so PayFi stops sending future deliveries to it.
DELETE
/
v1
/
webhooks
/
{webhookId}
Delete webhook endpoint
Authorizations
Path Parameters
Webhook endpoint ID.
Response
Webhook endpoint disabled.
Example:
"whe_example"
Example:
"Acme endpoint"
Example:
"https://acme.example/payfi/webhooks"
Example:
"ACTIVE"
Example:
["operation.analysis.completed"]
Example:
"whsec_te...abcd"
Example:
"2026-05-20T12:00:00.000Z"
Example:
"2026-05-20T12:00:00.000Z"
⌘I